- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QParallelAnimationGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qparallelanimationgroup.h.

`#include <qparallelanimationgroup.h>`

Inheritance diagram for QParallelAnimationGroup:
[legend]

List of all members.

## Public Member Functions
| QParallelAnimationGroup (QObject *parent=0)
| ~QParallelAnimationGroup ()
int | duration () const
## Protected Member Functions
| QParallelAnimationGroup (QParallelAnimationGroupPrivate &dd, QObject *parent)
bool | event (QEvent *event)
void | updateCurrentTime (int currentTime)
void | updateState (QAbstractAnimation::State newState, QAbstractAnimation::State oldState)
void | updateDirection (QAbstractAnimation::Direction direction)

## Constructor & Destructor Documentation

QParallelAnimationGroup | ( | QObject * | parent = `0` | ) |

~QParallelAnimationGroup | ( |  | ) |

QParallelAnimationGroup | ( | QParallelAnimationGroupPrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

int duration | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractAnimation.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAnimationGroup.

void updateCurrentTime | ( | int | currentTime | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractAnimation.

void updateState | ( | QAbstractAnimation::State | newState,
|  | QAbstractAnimation::State | oldState
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

void updateDirection | ( | QAbstractAnimation::Direction | direction | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

The documentation for this class was generated from the following file:

- QtCore/qparallelanimationgroup.h

QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup
QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup QParallelAnimationGroup